• The description page states: “Classic Editor is an official WordPress plugin, and will be fully supported and maintained until 2024, or as long as is necessary.”

    Considering how terrible the blocks are for casual WordPress users like myself, “as long as necessary” should read “In Perpetuity.”

Viewing 1 replies (of 1 total)
  • Moderator Felipe Santos

    (@foosantos)

    Hi @jiminelpaso,

    Considering how terrible the blocks are for casual WordPress users like myself, “as long as necessary” should read “In Perpetuity.”

    Thank you for sharing your perspective.

    While I’m happy to hear that you enjoy the Classic Editor, I would love to know more if there are specific features that you don’t like about the Block Editor.

    If you could point to the top 2-3 specific features you didn’t like, we could use your feedback to improve the plugin. All the contributors are actively working to improve the block editor.

Viewing 1 replies (of 1 total)
  • The topic ‘This is a required plugin’ is closed to new replies.